# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TSparkRowSetType

Packages that use TSparkRowSetType
Package
Description
com.databricks.jdbc.model.client.thrift.generated
com.databricks.jdbc.telemetry.latency

## Uses of TSparkRowSetType in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TSparkRowSetType in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TSparkRowSetType`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TSparkRowSetType
Modifier and Type
Field
Description
`TSparkRowSetType`
TGetResultSetMetadataResp.`resultFormat`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkRowSetType
Modifier and Type
Method
Description
`static TSparkRowSetType`
TSparkRowSetType.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TSparkRowSetType`
TGetResultSetMetadataResp.`getResultFormat()`
`static TSparkRowSetType`
TSparkRowSetType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TSparkRowSetType[]`
TSparkRowSetType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkRowSetType
Modifier and Type
Method
Description
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setResultFormat(TSparkRowSetType resultFormat)`

## Uses of TSparkRowSetType in com.databricks.jdbc.telemetry.latency

Methods in com.databricks.jdbc.telemetry.latency with parameters of type TSparkRowSetType
Modifier and Type
Method
Description
`void`
TelemetryCollector.`setResultFormat(IDatabricksStatementInternal statement, TSparkRowSetType executionResultFormat)`